#!/bin/bash
rm -f *.tif
echo "split TIFF"
convert "$1" %d.tif
FILE=$(echo $1 | sed 's/.tiff//')
NB=$(ls -1 *.tif | wc -l)
N=1000
MOITIE=$(echo "$NB/2" | bc)
echo "reorder $NB pages"
for P in `seq 0 $MOITIE`
do
  mv $P.tif r$N.tif
  let "N = N + 1"
  FIN=$(echo "$NB-$P-1" | bc)
  mv $FIN.tif r$N.tif
  let "N = N + 1"
done
echo "TIFF to PDF"
convert r*.tif "$1.pdf"
echo "OCR"
ocrmypdf -q -l fra --output-type 'pdfa-2' --pdfa-image-compression jpeg --deskew \
  --author "ALCATEL - scan by museeminitel.fr" \
  --subject "Documentation PAVI E10.5" \
  --keywords "PAVI Videotex Minitel" \
  -j 8 "$1.pdf" "$FILE.pdf"

echo "cleanup"
rm "$1.pdf"
rm -f *.tif
